Sign in with
Sign up | Sign in
Your question

5870 input problems

Last response: in Graphics & Displays
Share
May 6, 2010 3:45:06 AM

I've recently purchased a new hi-def monitor (1920x1080 max) and a saphire 2gig 5870. Every now and then I will recieve an input not supported message with a black screen. I know damn well it will support 1920x1080 cause thats what i use for windows, crysis, battlefeild bad company 2, and so on. My problem is that some games give me the input not supported fresh after install so I dont even get a chance to change the options, it just goes black from the start. Prototype for example will give me the option for the high res but goes black after set to 1920x. Shell shock to was one of many that just go black right after install. Monitor drivers and vid card drivers are dead on exact to the tee. Some times when I lower the windows res settings to a lower value the hi res settings in the game work. Catalyst is set for software choosing so it isnt like im setting it to run something it wont. Anyone maybe shed some light?

i7 930
saphire hd 2gig 5870
p6t deluxe v2
AOC 22 wide 1920x1080 hd monitor
6 gig crucial ballistix cas 7
intel x25m & v
xclio 1000 case
950w Roswell P/S

More about : 5870 input problems

May 6, 2010 9:08:42 AM

Some older games are doesn't support high resolution... (maybe)
So if you want to play it, you must lower your resolution to get the picture back.
m
0
l
May 8, 2010 5:08:43 AM

Quote:
Quote:
Monitor drivers and vid card drivers are dead on exact to the tee.


What exactly does that mean? Your using Catalyst 10.4 and not the ones that came with the video card right?


Yeah, I was always taught make sure kept the drivers updated. 10.2 originally. Rethinking this Sisoft is telling me this:

Direct3D 9c Devices : ATI Radeon HD 5800 Series (1600 SM5.0 900MHz, 2GB DDR5 4x1.3GHz, PCIe 2.00 x16) : Required Shader support not available. Try updating the video drivers.
Error OpenGL Devices : ATI Radeon HD 5800 Series (1600 SM5.0 900MHz, 2GB DDR5 4x1.3GHz, PCIe 2.00 x16) : Required Shader support not available. Try updating the video drivers.

Do the new cards require a specfic version of Cat?



m
0
l
May 8, 2010 5:11:30 AM

wa1 said:
Some older games are doesn't support high resolution... (maybe)
So if you want to play it, you must lower your resolution to get the picture back.



I see what your saying but prototype is a 2009 and if im not mistaken Shellshock is as well. Release and to give an option that isnt useable seems odd. Im thinking ZipZoom maybe on to something.
m
0
l
!